%define name anteater
%define version 0.4.5
%define release 1

Summary: Anteater is a dynamic MTA logfile analyser
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Applications/System
Vendor: Tobias Erbsland <te@profzone.ch>
Url: http://anteater.drzoom.ch/
Prefix: %{_prefix}

Source: ftp://ftp.profzone.ch/drzoom/anteater/%{name}-%{version}.tar.bz2

BuildPrereq: postgresql-devel >= 6.5.0
BuildRoot: %{_tmppath}/%{name}-root

%description
Anteater is a log analyser for MTA logfiles (for example sendmail and
postfix). The tool is written in 100% C++ and very easy to customize. Input,
output, and the analysis are modular class objects with a clear interface.
Currently there are modules for reading the syslog format of sendmail that do
up to seven useful analyses and write the result in plain ASCII or HTML, to
stdout or to files. 

%ifnarch i586 i686 athlon
%package doc
Summary: Documentation for Anteater
Group: Documentation

%description doc
This package contains documentation for Anteater - a dynamic MTA logfile
analyser.
%endif

%prep
%setup

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}
%makeinstall
strip %{buildroot}%{_bindir}/anteater

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/anteater
%{_mandir}/man1/%{name}.1*

%ifnarch i586 i686 athlon
%files doc
%defattr(-,root,root)
%doc anteater/docs/*
%endif

%changelog
* Mon Jul 11 2005 Peter Hanecak <hanecak@megaloman.sk> 0.4.5-1
- update to 0.4.5
- %%{?_smp_mflags} used with 'make'

* Wed Oct 22 2003 Peter Hanecak <hanecak@megaloman.sk> 0.4.2-1
- update to 0.4.2
- updated package summary and description
- added separate doc subpackage

* Fri Mar 28 2003 Peter Hanecak <hanecak@megaloman.sk> 0.4.1-2

* Fri Mar 28 2003 Peter Hanecak <hanecak@megaloman.sk> 0.4.1-1
- updated to 0.4.1
- s#Group Utilities#Group Applications/System
- Vendor Tobias Erbsland <te@profzone.ch>

* Tue May  7 2002 Peter Hanecak <hanecak@megaloman.sk>
[0.4-1]
- s/Copyright/License

* Fri Feb  2 2001 Peter Hanecak <hanecak@megaloman.sk>
[0.3.4-1]
- initial spec
